ServerSRPParams (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class ServerSRPParams

- java.lang.Object
- - org.bouncycastle.crypto.tls.ServerSRPParams

-     public class ServerSRPParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.math.BigInteger` | `B`
    `protected java.math.BigInteger` | `g`
    `protected java.math.BigInteger` | `N`
    `protected byte[]` | `s`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSRPParams(java.math.BigInteger N, java.math.BigInteger g, byte[] s, java.math.BigInteger B)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `ServerSRPParams` to an `OutputStream`.
    `java.math.BigInteger` | `getB()`
    `java.math.BigInteger` | `getG()`
    `java.math.BigInteger` | `getN()`
    `byte[]` | `getS()`
    `static ServerSRPParams` | `parse(java.io.InputStream input)` Parse a `ServerSRPParams` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### N

          protected java.math.BigInteger N

    - #### g

          protected java.math.BigInteger g

    - #### B

          protected java.math.BigInteger B

    - #### s

          protected byte[] s

  - ### Constructor Detail

    - #### ServerSRPParams

          public ServerSRPParams(java.math.BigInteger N,
                         java.math.BigInteger g,
                         byte[] s,
                         java.math.BigInteger B)

  - ### Method Detail

    - #### getB

          public java.math.BigInteger getB()

    - #### getG

          public java.math.BigInteger getG()

    - #### getN

          public java.math.BigInteger getN()

    - #### getS

          public byte[] getS()

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `ServerSRPParams` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static ServerSRPParams parse(java.io.InputStream input)
                                       throws java.io.IOException

      Parse a `ServerSRPParams` from an `InputStream`.
      Parameters:
        `input` - the `InputStream` to parse from.
      Returns:
        a `ServerSRPParams` object.
      Throws:
        `java.io.IOException`